summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-feedparser/ruby-feedparser-0.9.4.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/ruby-feedparser/ruby-feedparser-0.9.4.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/ruby-feedparser/ruby-feedparser-0.9.4.ebuild')
-rw-r--r--dev-ruby/ruby-feedparser/ruby-feedparser-0.9.4.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/ruby-feedparser/ruby-feedparser-0.9.4.ebuild b/dev-ruby/ruby-feedparser/ruby-feedparser-0.9.4.ebuild
new file mode 100644
index 000000000000..2d3990eedd08
--- /dev/null
+++ b/dev-ruby/ruby-feedparser/ruby-feedparser-0.9.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="ChangeLog.md README"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+GITHUB_USER="feed2imap"
+
+DESCRIPTION="Ruby library to parse ATOM/RSS feeds"
+HOMEPAGE="https://github.com/feed2imap/ruby-feedparser"
+SRC_URI="https://github.com/${GITHUB_USER}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/magic"
+
+ruby_add_bdepend "dev-ruby/magic
+ test? ( dev-ruby/mocha )"
+
+all_ruby_prepare() {
+ # Extract gemspec source from Rakefile
+ sed -n -e '/Gem::Specification/,/end$/p' Rakefile > ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e 's/PKG_NAME/"'${PN}'"/' \
+ -e 's/PKG_VERSION/"'${PV}'"/' \
+ -e '/s.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_prepare() {
+ sed -i -e '/PKG_VERSION/ s:ruby:'${RUBY}':' Rakefile || die
+}